Earth Engine has introduced noncommercial quota tiers to safeguard shared compute resources and ensure reliable performance for everyone. Noncommercial projects use the Community Tier by default, though you can change a project's tier at any time.
The name of the asset to copy. name is of the format "projects/*/assets/**" (e.g., "projects/earthengine-legacy/assets/users/[USER]/[ASSET]"). All user-owned assets are under the project "earthengine-legacy" (e.g., "projects/earthengine-legacy/assets/users/foo/bar"). All other assets are under the project "earthengine-public" (e.g., "projects/earthengine-public/assets/LANDSAT"). (e.g., "assets/users/[USER]/[ASSET]").
Authorization requires the following IAM permission on the specified resource sourceName:
earthengine.assets.get
Request body
The request body contains data with the following structure:
JSON representation
{"destinationName": string,"overwrite": boolean}
Fields
destinationName
string
The destination name to which to copy the asset. name is of the format "projects/*/assets/**" (e.g., "projects/earthengine-legacy/assets/users/[USER]/[ASSET]"). All user-owned assets are under the project "earthengine-legacy" (e.g., "projects/earthengine-legacy/assets/users/foo/bar"). All other assets are under the project "earthengine-public" (e.g., "projects/earthengine-public/assets/LANDSAT").
Authorization requires the following IAM permission on the specified resource destinationName:
earthengine.assets.create
overwrite
boolean
Whether to allow overwriting an existing asset.
Response body
If successful, the response body contains an instance of EarthEngineAsset.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2025-03-06 UTC."],[],["To copy an asset, send a POST request to `https://earthengine.googleapis.com/v1beta/{sourceName=projects/*/assets/**}:copy`. Specify the `sourceName` path parameter to indicate the asset to copy and include a request body with the `destinationName` string and an `overwrite` boolean, which indicates if an existing asset can be overwritten. User-owned assets are under `earthengine-legacy`, and all other assets are under `earthengine-public`. The response will contain the copied asset information. Authorization is required.\n"]]